Blog

Désactiver les Emojis dans WordPress 4.2

Désactiver les Emojis dans WordPress 4.2

Le support des Emojis a été ajouté à partir de la version 4.2 de WordPress.
Ce support se traduis par l’ajout du code ci-dessous en entête de toutes vos pages :

<script type="text/javascript">
            window._wpemojiSettings = {"baseUrl":"https:\/\/s.w.org\/images\/core\/emoji\/72x72\/","ext":".png","source":{"concatemoji":"https:\/\/www.soft-e-media.fr\/wp-includes\/js\/wp-emoji-release.min.js?ver=4.2.2"}};
            !function(a,b,c){function d(a){var c=b.createElement("canvas"),d=c.getContext&&c.getContext("2d");return d&&d.fillText?(d.textBaseline="top",d.font="600 32px Arial","flag"===a?(d.fillText(String.fromCharCode(55356,56812,55356,56807),0,0),c.toDataURL().length>3e3):(d.fillText(String.fromCharCode(55357,56835),0,0),0!==d.getImageData(16,16,1,1).data[0])):!1}function e(a){var c=b.createElement("script");c.src=a,c.type="text/javascript",b.getElementsByTagName("head")[0].appendChild(c)}var f,g;c.supports={simple:d("simple"),flag:d("flag")},c.DOMReady=!1,c.readyCallback=function(){c.DOMReady=!0},c.supports.simple&&c.supports.flag||(g=function(){c.readyCallback()},b.addEventListener?(b.addEventListener("DOMContentLoaded",g,!1),a.addEventListener("load",g,!1)):(a.attachEvent("onload",g),b.attachEvent("onreadystatechange",function(){"complete"===b.readyState&&c.readyCallback()})),f=c.source||{},f.concatemoji?e(f.concatemoji):f.wpemoji&&f.twemoji&&(e(f.twemoji),e(f.wpemoji)))}(window,document,window._wpemojiSettings);
</script>
<style type="text/css">
img.wp-smiley,
img.emoji {
    display: inline !important;
    border: none !important;
    box-shadow: none !important;
    height: 1em !important;
    width: 1em !important;
    margin: 0 .07em !important;
    vertical-align: -0.1em !important;
    background: none !important;
    padding: 0 !important;
}
</style>

Si vous n’utilisez pas les Emojis et que vous souhaitez supprimer le code généré vous devez modifier le fichier functions.php de votre thème en ajoutant le code suivant

// on retire les emoji apparues en 4.2
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'wp_print_styles', 'print_emoji_styles' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );

Faille GHOST détection et mise à jours Debian

Une faille critique nommée à été découverte sur la plupart des systèmes Linux, je vous propose une solution de détection et 2 moyen pour patcher cette faille en ligne pour les systèmes Debian 6 ou Debian 7

Détection de la faille (attention cette commande télécharge un programme c le compile et l’exécute) :
wget https://gist.githubusercontent.com/amlweems/6e78d03810548b4867d6/raw/69e2fb429dc6f020954405a9d55021db8db1d26e/gistfile1.c && gcc gistfile1.c -o GHOST && ./GHOST
La commande retournera « vulnerable » ou « not vulnerable » en fonction de l’état de mise à jours de votre système

Mise à jours de l’ensemble de votre système debian :
apt-get update
apt-get upgrade

Mise à jour de libc6 uniquement :
apt-get update
apt-get install libc6